apiVersion: extensions/v1beta1
kind: Ingress
metadata:
  name: edge
  annotations:
    kubernetes.io/ingress.class: nginx
    certmanager.k8s.io/cluster-issuer: letsencrypt-prod
spec:
  tls:
  - hosts:
    - staging.pijam.app
    secretName: letsencrypt-pijam-staging
  rules:
  - host: staging.pijam.app
    http:
      paths:
      - path: /api/v1/
        backend:
          serviceName: gateway
          servicePort: 8080
      - path: /
        backend:
          serviceName: frontend
          servicePort: 8080